## net.sf.saxon.charcode
Class CharacterSetFactory

    java.lang.Object
      net.sf.saxon.charcode.CharacterSetFactory

    public class CharacterSetFactory

extends Object

This class creates a CharacterSet object for a given named encoding.

Method Summary
`static CharacterSet` `getCharacterSet(Properties details, Controller controller)` Make a CharacterSet appropriate to the encoding
`static void` `main(String[] args)` Main program is a utility to give a list of the character sets supported by the Java VM

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCharacterSet

    public static CharacterSet getCharacterSet(Properties details,
                                               Controller controller)
                                        throws XPathException

  Make a CharacterSet appropriate to the encoding

  Throws:
    `XPathException`

### main

    public static void main(String[] args)
                     throws Exception

  Main program is a utility to give a list of the character sets supported by the Java VM

  Throws:
    `Exception`

Copyright (C) Michael H. Kay. All rights reserved.